Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.components
Class Axis

    java.lang.Object
      org.deegree.crs.components.Axis

All Implemented Interfaces:
  Serializable

    public class Axis

extends Object
implements Serializable

The `Axis` class describe the orientation, unit and the name of a crs-axis.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`static int` | `AO_BACK` Axis is pointing BACK ( == -FRONT) e.g. the Axis through the intersection of the opposite of the Greenwich meridian and equator.
`static int` | `AO_DOWN` Axis is pointing DOWN ( == -UP)
`static int` | `AO_EAST` Axis is pointing EAST( == -WEST) the intersection of the equator with longitude 90°E.
`static int` | `AO_FRONT` Axis is pointing FRONT( == -BACK), e.g. the Axis through the intersection of the Greenwich meridian and equator.
`static int` | `AO_NORTH` Axis is pointing NORTH ( == -SOUTH) e.g Polar axis positive northwards.
`static int` | `AO_OTHER` Axis is pointing in an OTHER direction, which is not specified.
`static int` | `AO_PERPENDICULAR` Axis is pointing PERPENDICULAR to the earth's surface, which is used for a vertical axis.
`static int` | `AO_SOUTH` Axis is pointing SOUTH ( == -NORTH )
`static int` | `AO_UP` Axis is pointing UP ( == -DOWN ),
`static int` | `AO_WEST` Axis is pointing WEST( == -EAST)

Constructor Summary
`Axis(String name, int orientation)` An Axis with unit set to metre.
`Axis(String name, String orientation)` Parses the given orientation and creates a valid orientation of it's non-case-sensitive version.
`Axis(Unit units, String name, int orientation)`
`Axis(Unit units, String name, String orientation)` Parses the given orientation and creates a valid orientation of it's non-case-sensitive version.

Method Summary
`boolean` | `equals(Object otherAxis)`
`String` | `getName()`
`int` | `getOrientation()`
`String` | `getOrientationAsString()`
`Unit` | `getUnits()`
`int` | `hashCode()` Implementation as proposed by Joshua Block in Effective Java (Addison-Wesley 2001), which supplies an even distribution and is relatively fast.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AO_NORTH

    public static final int AO_NORTH

  Axis is pointing NORTH ( == -SOUTH) e.g Polar axis positive northwards.

  See Also:
    Constant Field Values

### AO_SOUTH

    public static final int AO_SOUTH

  Axis is pointing SOUTH ( == -NORTH )

  See Also:
    Constant Field Values

### AO_WEST

    public static final int AO_WEST

  Axis is pointing WEST( == -EAST)

  See Also:
    Constant Field Values

### AO_EAST

    public static final int AO_EAST

  Axis is pointing EAST( == -WEST) the intersection of the equator with longitude 90°E.

  See Also:
    Constant Field Values

### AO_UP

    public static final int AO_UP

  Axis is pointing UP ( == -DOWN ),

  See Also:
    Constant Field Values

### AO_DOWN

    public static final int AO_DOWN

  Axis is pointing DOWN ( == -UP)

  See Also:
    Constant Field Values

### AO_FRONT

    public static final int AO_FRONT

  Axis is pointing FRONT( == -BACK), e.g. the Axis through the intersection of the Greenwich meridian and equator.

  See Also:
    Constant Field Values

### AO_BACK

    public static final int AO_BACK

  Axis is pointing BACK ( == -FRONT) e.g. the Axis through the intersection of the opposite of the Greenwich meridian and equator.

  See Also:
    Constant Field Values

### AO_PERPENDICULAR

    public static final int AO_PERPENDICULAR

  Axis is pointing PERPENDICULAR to the earth's surface, which is used for a vertical axis.

  See Also:
    Constant Field Values

### AO_OTHER

    public static final int AO_OTHER

  Axis is pointing in an OTHER direction, which is not specified.

  See Also:
    Constant Field Values

Constructor Detail

### Axis

    public Axis(Unit units,
                String name,
                int orientation)

Parameters:
  `units` - of this axis
  `name` - of this axis (e.g. longitude...)
  `orientation` - of the positive scale direction, one of Axis.AO*. If an unknown value is supplied AO_OTHER is assumed.

### Axis

    public Axis(Unit units,
                String name,
                String orientation)

  Parses the given orientation and creates a valid orientation of it's non-case-sensitive version. If no conversion was found, `AO_OTHER` will be used.

  Parameters:
    `units` - of the axis.
    `name` - of the axis.
    `orientation` - of the axis as a string for example north

### Axis

    public Axis(String name,
                int orientation)

  An Axis with unit set to metre.

  Parameters:
    `name` - of this axis (e.g. longitude...)
    `orientation` - of the positive scale direction, one of Axis.AO*. If an unknown value is supplied AO_OTHER is assumed.

### Axis

    public Axis(String name,
                String orientation)

  Parses the given orientation and creates a valid orientation of it's non-case-sensitive version. If no conversion was found, `AO_OTHER` will be used. This axis will have metres as it's unit.

  Parameters:
    `name` - of the axis
    `orientation` - of the axis as a string for example north

Method Detail

### getName

    public final String getName()

  Returns:
    the name.

### getOrientation

    public final int getOrientation()

  Returns:
    the orientation.

### getUnits

    public final Unit getUnits()

  Returns:
    the units.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object otherAxis)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Implementation as proposed by Joshua Block in Effective Java (Addison-Wesley 2001), which supplies an even distribution and is relatively fast. It is created from field f as follows:
  - boolean -- code = (f ? 0 : 1)
  - byte, char, short, int -- code = (int)f
  - long -- code = (int)(f ^ (f >>>32))
  - float -- code = Float.floatToIntBits(f);
  - double -- long l = Double.doubleToLongBits(f); code = (int)(l ^ (l >>> 32))
  - all Objects, (where equals( ) calls equals( ) for this field) -- code = f.hashCode( )
  - Array -- Apply above rules to each element

  Combining the hash code(s) computed above: result = 37 * result + code;

  Overrides:
    `hashCode` in class `Object`
  Returns:
    (int) ( result >>> 32 ) ^ (int) result;
  See Also:
    `Object.hashCode()`

### getOrientationAsString

    public String getOrientationAsString()

  Returns:
    an 'English' representation for the Axis Orientation, or Unknown if the given direction is not known.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org